GNU bug report logs - #28144
info-dir ERROR: no code for module (guix build utils)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: serious; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: unreproducible; merged with #27476, #27652, #31294, #31367, #31740, #32385, #34112, #34319; dated Sat, 19 Aug 2017 00:21:01 UTC; Maintainer for guile is bug-guile@HIDDEN.
bug reassigned from package 'guix' to 'guile'. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652 28144 31294 31367 31740 32385 34112 34319. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'important' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 1 Feb 2019 19:59:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 01 14:59:54 2019
Received: from localhost ([127.0.0.1]:55289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpeyg-0001Dx-IJ
	for submit <at> debbugs.gnu.org; Fri, 01 Feb 2019 14:59:54 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:42139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brantcgardner@HIDDEN>) id 1gpeye-0001Dk-6M
 for 28144 <at> debbugs.gnu.org; Fri, 01 Feb 2019 14:59:52 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 9986A21D09
 for <28144 <at> debbugs.gnu.org>; Fri,  1 Feb 2019 14:59:46 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Fri, 01 Feb 2019 14:59:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brantware.com;
 h=date:from:to:subject:message-id:mime-version:content-type; s=
 fm1; bh=zpgZ/MwBE4kDD23dD9hOgyl/9VPwNy2QOT0SS9blG/Y=; b=vKhXNct8
 W/5b8V0hoQDLUnqwOeKQZO6y9Boevw+Qug8wlw0hh802hakDtrR16IImzbn0rvkH
 U986BlC1ZGjiko4EVMxwP2Qs5V4+r3U01znpYcSwZktAAEH4BecEtTqkBVH5jeZK
 9lseeZEVlho44GXTzhkHDZZefHU4Fek9m7crF+A0SOvnC8UeRR4FzsRovRVJ8wSi
 f/qq0gANFOZiw6Fb+2S2t9lVjjZuBAI6tGFjI8ZQHk1wjfKY64oyXVUP+RTYRm21
 qOwcajXQ/6gmykwGqg90XGM3jSIJR8u1rIIjQq5Fx97tq84wIA0JIeblT3UbDg20
 WX6ArSPL6PpTaw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=zpgZ/MwBE4kDD23dD9hOgyl/9VPwN
 y2QOT0SS9blG/Y=; b=lPOHvPo+ne55Y1HE/58cCEVERJQssKhVPNRhOhCl6GQqB
 NH5x9ioFkyTUaDieV9+T9Ee8fWmGn8BiFFm5cJlfdjpW+s4/o73FIJ2tpEsR8F3w
 lHa4r6WiAvRVHTtOxJqDyWoHgUvRN1QxFOzHb32281alA2xemdntq24TgPm7D2Hv
 OLkT391e9dSzWReQrpPY7cuJlPzwPRZbWYqNuUXVXuPngDfg+NdUFYZga4ed3sBc
 hGmdmNMw6GanI9HGiwC5EPtbQppm5RUCAp6dJu8+34voUHeKC9dli9qbZH+Mxllu
 2vg3Emtnmf9n1kXUzAtV/A41N/6n2TQuWqdSmtyhA==
X-ME-Sender: <xms:MqVUXAQAndCnH402Jk6juzr1S5Xj7RkUzbumRu1skSGsUZYPwP1hJQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrjeekgddufeefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhepfffhvffukfggtggufgesghdtreertdervdenucfhrhhomhepue
 hrrghnthcuifgrrhgunhgvrhcuoegsrhgrnhhttghgrghrughnvghrsegsrhgrnhhtfigr
 rhgvrdgtohhmqeenucfkphepuddtgedrvddukedrieehrddugeefnecurfgrrhgrmhepmh
 grihhlfhhrohhmpegsrhgrnhhttghgrghrughnvghrsegsrhgrnhhtfigrrhgvrdgtohhm
 necuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:MqVUXEzBfIPspIRK-v-Ur_UQvascfQDFbWjI-8vy5E4dqx_LKGiyKA>
 <xmx:MqVUXKLSREllys4VZWnH9joQQ26WhwhJcjEyWQ6T325u3xUFJzkHhg>
 <xmx:MqVUXK7RYI_PJnxzzqQ7O__QLpipZfnQCgtnP4HIjoOlWbocXmNT0g>
 <xmx:MqVUXHgeGNb2KG1kd0AvcfJXH9IxN69ACLx0IZPfe-TS6UvbG2V1-w>
Received: from titan.gardner.local (104-218-65-143.allophone.biz
 [104.218.65.143])
 by mail.messagingengine.com (Postfix) with ESMTPA id E6FF7E4046
 for <28144 <at> debbugs.gnu.org>; Fri,  1 Feb 2019 14:59:45 -0500 (EST)
Received: from tethys.gardner.local (tethys.gardner.local [192.168.1.119])
 by titan.gardner.local (Postfix) with ESMTPS id EA55613ECEB
 for <28144 <at> debbugs.gnu.org>; Fri,  1 Feb 2019 13:59:44 -0600 (CST)
Date: Fri, 1 Feb 2019 13:59:43 -0600
From: Brant Gardner <brantcgardner@HIDDEN>
To: 28144 <at> debbugs.gnu.org
Subject: info-dir ERROR: no code for module (guix build utils)
Message-ID: <20190201195943.d7m3bt453iydcyn4@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="es3x546egupg4ghs"
Content-Disposition: inline
User-Agent: NeoMutt/20170113 (1.7.2)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28144
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--es3x546egupg4ghs
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

(Sorry for the top post from before, I've sorted that out now.)

Just wanted to report that using root's path for 'guix-command' worked imme=
diately and my user
profile works fine now.

Thank you!

--=20
Brant Gardner


--es3x546egupg4ghs
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEE6fesUZmnyN81XadRcGQ8kwDA+84FAlxUpS4ACgkQcGQ8kwDA
+87Jag/9HrT0P/wyT/6DBK9+6Y4nEXKpbJnnyoN8CrQXu7rEQ05beLtmMdQxomeJ
17N96KH/kkaHqWr6eowY4W1Qs4HPv+MJWNrnpL+LSgaLxe+ZGCJ0wzVndXCavati
pXgb/zrQ8MBJxf6jkg+R64sNvUe45aT5E10+lrP1nd5P14Xf8LwkdiOoRuyxJrU1
cm/YZe7af0ofFiEDG+6DAGZYjp0kMJJYgMQyAlCk2YRSSIYSELyS74f9B7RxkL/S
Avv5JvD+EgjilNnQw1ggi0RiQUbISqDqgFI6vshRC9QAB7+Z863Juh/YdBUMxiYz
fjv1E/MC/qpoqOWAGSgLlmw51qI07MjBpaSmaWnU90Is+Uw6wWfmViwuOxmkAlSj
poBsw6ear/qZCQzAFFs02gsaqTHY/J2/j8BdcgIvABV37EWrt/+zQ83hTGCSVeMR
+yFxjZWdFLB1RRfYsS1JysIYVH+6hD3TtPvJ1LO35mtDeelJhva00zpWemfjSvu6
KNYejEClw53SXTRoxkzGr7kdUW258CCtE1ECPNU17mDp609K39XAk0m7Eg/xjzk+
GWCiVkuJ58vPBIlyrhWj9EHNwe8oY1SjGaekMU38E7qC9B0ade+L3whmqI+B512p
5c+CCWUgM+v1AgStxr1wtguZHtO78SdnKCu1N6V9fCy5K1iHNRI=
=z+6t
-----END PGP SIGNATURE-----

--es3x546egupg4ghs--




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jan 2019 21:18:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 29 16:18:02 2019
Received: from localhost ([127.0.0.1]:50890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goale-0007To-00
	for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 16:18:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1goalb-0007TH-Jr
 for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 16:18:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:44175)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1goalV-0002on-8a
 for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 16:17:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51993)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1goalU-00062n-5J
 for bug-guix@HIDDEN; Tue, 29 Jan 2019 16:17:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1goalT-0002mA-9M
 for bug-guix@HIDDEN; Tue, 29 Jan 2019 16:17:52 -0500
Received: from mx1.riseup.net ([198.252.153.129]:60848)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1goalT-0002lj-0v
 for bug-guix@HIDDEN; Tue, 29 Jan 2019 16:17:51 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 71F341A028F
 for <bug-guix@HIDDEN>; Tue, 29 Jan 2019 13:17:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1548796670; bh=XIO9eBxbAE/jZpktgdRwitTGXLAVtlzjS4MFLgiM3hE=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=DI3XrrHBGPvJCvF/uKC34aEcwl0MwNqawuwfLsId1BXwBOvWz+Ph/CpwELEU78Wwx
 yRAQQrQZRjDmjHTozlam5+Kk2v4VWeQDNiwDfIqAlANOEcX5hhqtQ9ayOgZLv4CKfg
 vW41WKN3mpANyDtxhxP2lgFO0khIGXU9ZNrYZOgU=
X-Riseup-User-ID: 45BBA7B80D6051BC2E8BC7357D35528F14DC29B264FEAEF81EDD9DA19123CE2C
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 4699943660
 for <bug-guix@HIDDEN>; Tue, 29 Jan 2019 13:17:48 -0800 (PST)
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
From: swedebugia <swedebugia@HIDDEN>
To: bug-guix@HIDDEN
References: <20170819012022.7aad5fa6@HIDDEN>
 <ce4c4b43-7f04-47fe-9246-cefc9ea7a1ce@HIDDEN>
 <87h8dsr4nq.fsf@HIDDEN>
 <e6ffad62-d869-4773-8eb2-90aad8c8fe7d@HIDDEN>
 <5638a309-1cb3-a9b8-1872-1f458036cb65@HIDDEN>
Message-ID: <6e4534ba-773a-49d8-6251-1e61e86bcea8@HIDDEN>
Date: Tue, 29 Jan 2019 22:17:47 +0100
MIME-Version: 1.0
In-Reply-To: <5638a309-1cb3-a9b8-1872-1f458036cb65@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

On 2019-01-29 22:14, swedebugia wrote:
> Hi Brant
>=20
> I moved your reply below. Please avoid top posting.
>=20
> On 2019-01-28 23:04, Brant Gardner wrote:
>> On Mon, Jan 28, 2019, at 12:57, Ricardo Wurmus wrote:
>>>
>=20
> snip
>=20
>>> Could you please tell us what =E2=80=9Cguix describe=E2=80=9D and/or =
=E2=80=9Cguix --version=E2=80=9D
>>> say?=C2=A0 This would help us figure out if we can do something to pr=
event
>>> this.
>>>
>>> You can get out of this problem by using a different variant of Guix =
to
>>> run =E2=80=9Cguix pull=E2=80=9D, e.g. ~/.config/guix/current-1-link/b=
in/guix pull.
>> As normal user:
>>
>> ~ % guix describe
>> guix describe: error: failed to determine origin
>>
>> ~ % guix --version
>> guix (GNU Guix) 0.16.0-8.7ba2b27
>> Copyright (C) 2018 the Guix authors
>> License GPLv3+: GNU GPL version 3 or later=20
>> <http://gnu.org/licenses/gpl.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>>
>> -----
>>
>> Root gets very different answers, as you already pointed out I should=20
>> expect:
>>
>> root@mercury ~# guix describe
>> Generation 3=C2=A0=C2=A0=C2=A0 Jan 27 2019 07:33:28=C2=A0=C2=A0=C2=A0 =
(current)
>> =C2=A0=C2=A0 guix 4f8be6d
>> =C2=A0=C2=A0=C2=A0=C2=A0 repository URL: https://git.savannah.gnu.org/=
git/guix.git
>> =C2=A0=C2=A0=C2=A0=C2=A0 branch: master
>> =C2=A0=C2=A0=C2=A0=C2=A0 commit: 4f8be6d905de0ca53275907cce37742287b51=
111
>>
>> root@mercury ~# guix --version
>> guix (GNU Guix) 4f8be6d905de0ca53275907cce37742287b51111
>> Copyright (C) 2019 the Guix authors
>> License GPLv3+: GNU GPL version 3 or later=20
>> <http://gnu.org/licenses/gpl.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>>
>>
>> The path you indicated doesn't exist for me, can I use root's path to=20
>> the guix executable to perform the pull and fix the normal user?
>=20
> Yes if you make sure it and all directories above it is readable by the=
=20
> normal user.
>=20

Also see this by fredrick in guix-help:
"I didn't have ~/.config/guix/current-1-link/bin/guix, so I ran
/var/guix/profiles/system-1-link/profile/bin/guix pull. That solved the
issue and I can now run "guix pull" and "guix environment guix"
again. Haven't tried "guix package -u" but I would assume that works as
well."

HTH

--=20
Cheers
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jan 2019 21:15:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 29 16:15:23 2019
Received: from localhost ([127.0.0.1]:50872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goaj5-0007No-FB
	for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 16:15:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1goaj1-0007NZ-TC
 for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 16:15:20 -0500
Received: from lists.gnu.org ([209.51.188.17]:42601)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1goaiw-0001M0-Ec
 for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 16:15:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51027)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1goaiu-0004eg-D8
 for bug-guix@HIDDEN; Tue, 29 Jan 2019 16:15:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1goais-0001Ge-Td
 for bug-guix@HIDDEN; Tue, 29 Jan 2019 16:15:12 -0500
Received: from mx1.riseup.net ([198.252.153.129]:60028)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1goais-0001El-JY
 for bug-guix@HIDDEN; Tue, 29 Jan 2019 16:15:10 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 21A951A0AC0
 for <bug-guix@HIDDEN>; Tue, 29 Jan 2019 13:15:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1548796504; bh=VlT8K1Jnq0Y0avDHkjX4ileub08JLwfQRauPE35e7V4=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=lIN1vmjmDqLhoJrbRFZn+H4GDhB9oC8w/eu1xE/deAHtnstrOXqmMWj7vY9ThpOg1
 RMkidjfDOyogkQGQTQDcsurfqtZOje/8rHU+YquGxgib4Fk4bDzNW1gm/UudgBYJxq
 IXH2x3Fu4CCeYBVhWOBHr4aOL6wIGRKklKeZI7JM=
X-Riseup-User-ID: 936E631A9D78A621CDF26A0D3C1BD2435B32CF76E1A9809A4EF99E61360528A1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 8A1D84261B
 for <bug-guix@HIDDEN>; Tue, 29 Jan 2019 13:15:03 -0800 (PST)
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
To: bug-guix@HIDDEN
References: <20170819012022.7aad5fa6@HIDDEN>
 <ce4c4b43-7f04-47fe-9246-cefc9ea7a1ce@HIDDEN>
 <87h8dsr4nq.fsf@HIDDEN>
 <e6ffad62-d869-4773-8eb2-90aad8c8fe7d@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <5638a309-1cb3-a9b8-1872-1f458036cb65@HIDDEN>
Date: Tue, 29 Jan 2019 22:14:58 +0100
MIME-Version: 1.0
In-Reply-To: <e6ffad62-d869-4773-8eb2-90aad8c8fe7d@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

Hi Brant

I moved your reply below. Please avoid top posting.

On 2019-01-28 23:04, Brant Gardner wrote:
> On Mon, Jan 28, 2019, at 12:57, Ricardo Wurmus wrote:
>>

snip

>> Could you please tell us what =E2=80=9Cguix describe=E2=80=9D and/or =E2=
=80=9Cguix --version=E2=80=9D
>> say?  This would help us figure out if we can do something to prevent
>> this.
>>
>> You can get out of this problem by using a different variant of Guix t=
o
>> run =E2=80=9Cguix pull=E2=80=9D, e.g. ~/.config/guix/current-1-link/bi=
n/guix pull.
> As normal user:
>=20
> ~ % guix describe
> guix describe: error: failed to determine origin
>=20
> ~ % guix --version
> guix (GNU Guix) 0.16.0-8.7ba2b27
> Copyright (C) 2018 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl=
.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
>=20
> -----
>=20
> Root gets very different answers, as you already pointed out I should e=
xpect:
>=20
> root@mercury ~# guix describe
> Generation 3    Jan 27 2019 07:33:28    (current)
>    guix 4f8be6d
>      repository URL: https://git.savannah.gnu.org/git/guix.git
>      branch: master
>      commit: 4f8be6d905de0ca53275907cce37742287b51111
>=20
> root@mercury ~# guix --version
> guix (GNU Guix) 4f8be6d905de0ca53275907cce37742287b51111
> Copyright (C) 2019 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl=
.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
>=20
>=20
> The path you indicated doesn't exist for me, can I use root's path to t=
he guix executable to perform the pull and fix the normal user?

Yes if you make sure it and all directories above it is readable by the=20
normal user.

--=20
Cheers
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 28 Jan 2019 22:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 17:07:34 2019
Received: from localhost ([127.0.0.1]:49589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goF41-00088Q-8Y
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 17:07:34 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:59223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brantcgardner@HIDDEN>) id 1goF3x-00088B-9f
 for 28144 <at> debbugs.gnu.org; Mon, 28 Jan 2019 17:07:31 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 101B522EC5;
 Mon, 28 Jan 2019 17:07:24 -0500 (EST)
Received: from imap2 ([10.202.2.52])
 by compute2.internal (MEProxy); Mon, 28 Jan 2019 17:07:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brantware.com;
 h=message-id:in-reply-to:references:date:from:to:cc:subject
 :content-type:content-transfer-encoding; s=fm1; bh=oEasMmVQjxsDf
 ERkdJZv5hAWTLlazKB2IAdDwSStcnI=; b=u8Gue0nqnd8XXtfkiFCAl670XyY+d
 ntio0/ABoRITe8mq15BS/ckCOJwNxsTt5Zp3FP1cM9Ej/qV557jT2pgO4xZX6uzy
 tkcCuMr9Fzu88+hQSdssxz5b3zqrxzNH936az+Ra6c9NIH5HmvsnjDYzRdclCE9W
 +a2bXjEpO/Xk4u4n/LeXNcBNfRIzRcD/414e2E6pzabEfkUaVKlYM1KHtr61H/rD
 B3gqEYZwJb4QaiUznwQeFpEuqZ0uJ5uUmxgK3TTr5DdJ4b6r0CAhLVp+Yv2geQb5
 oJscN/jKf1HgrSLt+42uaB05GiuzO22I2xSjOzv6OvhtCjlAk8pvxxBUw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; bh=oEasMmVQjxsDfERkdJZv5hAWTLlazKB2IAdDwSStcnI=; b=hYbsnVs+
 muFXUDVpHPhm1Pn0mRkfrMl7PxzaLkj5dvdf2Xl1CVO5g/nsKtoh3vnPzO6JoMyi
 lFlhXwtsosfiAwf53Ie+qzDWpy9oIuK+0Nn7uv1rKfzAAngRhZtqz8CdYXpoPpqv
 zNpbs+ubuwLWOy3M/DczGifUzKXlKwgrvwQHhWaZeH9WxYxIoGhHES1WCZA0GaV/
 Ge8RF/ucq/D2MIzN2SV2OhkgOH2KuuRmGFlilffPQiQsRmcrjw3xOibK15N5e8xg
 tZw5T8S6yX4M+KNi7HC61XTVYBR9UEbzBxUyAO7ZNr0iX3A0BPJX594emVl2TZZq
 3xwB7wLvCYmr2Q==
X-ME-Sender: <xms:G31PXH4VwKksCafPxKkHCl6fOTzW-OOzJMLqIDgqEaMRg8bulnPuhw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrjedtgdduieefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhepofgfkfgjfhffhffvufgtgfesthhqredtreerjeenucfhrhhomh
 epfdeurhgrnhhtucfirghrughnvghrfdcuoegsrhgrnhhttghgrghrughnvghrsegsrhgr
 nhhtfigrrhgvrdgtohhmqeenucffohhmrghinhepghhnuhdrohhrghenucfrrghrrghmpe
 hmrghilhhfrhhomhepsghrrghnthgtghgrrhgunhgvrhessghrrghnthifrghrvgdrtgho
 mhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:G31PXJVQNldL9etTXdgmnV1guMx9Ii8wP8hlHLnCzqlUSK44-cPObQ>
 <xmx:G31PXKdBJc1pRBmX9zoUZHymD-oU-F32m8vYWpaLSoF5Ldulj7tfMA>
 <xmx:G31PXJmpVRyZYNf1b1REZVLTX2F3ny5HnkUcrDFP9YC8n3rRRdX3-g>
 <xmx:HH1PXAC0jJErrg7dGMt0biHssLPfgN21YYHUWR3AdlbwLdUIFQI--g>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 8E0427C1EB; Mon, 28 Jan 2019 17:07:23 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.1.5-766-ge2be361-fmstable-20190123v1
X-Me-Personality: 65413192
Message-Id: <e6ffad62-d869-4773-8eb2-90aad8c8fe7d@HIDDEN>
In-Reply-To: <87h8dsr4nq.fsf@HIDDEN>
References: <20170819012022.7aad5fa6@HIDDEN>
 <ce4c4b43-7f04-47fe-9246-cefc9ea7a1ce@HIDDEN>
 <87h8dsr4nq.fsf@HIDDEN>
Date: Mon, 28 Jan 2019 17:04:43 -0500
From: "Brant Gardner" <brantcgardner@HIDDEN>
To: "Ricardo Wurmus" <rekado@HIDDEN>
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

As normal user:

~ % guix describe
guix describe: error: failed to determine origin

~ % guix --version
guix (GNU Guix) 0.16.0-8.7ba2b27
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.=
html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

-----

Root gets very different answers, as you already pointed out I should ex=
pect:

root@mercury ~# guix describe
Generation 3    Jan 27 2019 07:33:28    (current)
  guix 4f8be6d
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 4f8be6d905de0ca53275907cce37742287b51111

root@mercury ~# guix --version
guix (GNU Guix) 4f8be6d905de0ca53275907cce37742287b51111
Copyright (C) 2019 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.=
html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.


The path you indicated doesn't exist for me, can I use root's path to th=
e guix executable to perform the pull and fix the normal user?

Thank you,

--
Brant Gardner
Key: E9F7 AC51 99A7 C8DF 355D=C2=A0 A751 7064 3C93 00C0 FBCE

On Mon, Jan 28, 2019, at 12:57, Ricardo Wurmus wrote:
>=20
> Brant Gardner <brantcgardner@HIDDEN> writes:
>=20
> > I get this very reproducibly with 'guix pull', starting last
> > week. This is on a pretty simple installation of GuixSD, no extra
> > parameters or unusual environment. Is there anything I gather that
> > would help?
> >
> > Note: This only seems to happen for the non-root user executing 'gui=
x
> > pull' - so far it has not show for root.
>=20
> That=E2=80=99s because every user has their own version of Guix.  The =
root
> user=E2=80=99s copy of Guix differs from that of your other user accou=
nt.
>=20
> Could you please tell us what =E2=80=9Cguix describe=E2=80=9D and/or =E2=
=80=9Cguix --version=E2=80=9D
> say?  This would help us figure out if we can do something to prevent
> this.
>=20
> You can get out of this problem by using a different variant of Guix t=
o
> run =E2=80=9Cguix pull=E2=80=9D, e.g. ~/.config/guix/current-1-link/bi=
n/guix pull.
>=20
> --
> Ricardo
>=20
>




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 28 Jan 2019 19:13:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 14:13:30 2019
Received: from localhost ([127.0.0.1]:49532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goCLa-0003pr-7m
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 14:13:30 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1goCLY-0003pj-Aq
 for 28144 <at> debbugs.gnu.org; Mon, 28 Jan 2019 14:13:28 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1548701872; cv=none; d=zoho.com; s=zohoarc; 
 b=lRBXRBIxr+61iIY9Bg+Z3gUbdgDZCtjWWEMjtZiPxFC5wjq6YQ7nioltLoQuehMMinL1TFwZsDeEklugEKh3L7Tfdb/SAAHw/x92WxUnOmWOwosUw4/+9nE2tzYpEBqVhzSds2IacbnUO9+iKb1Y+oYOxLcUJPxDJWaytRm59LQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1548701872;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=5EguPzRGGdkdZT/9YDMHfvA2QLhdLVUoihIGo381aeA=; 
 b=cGwUyu8KZ70jcAteUn0ObVcx1YH1DZliw2Ss5pH5UIWH8KyhspVpY9Snk5dlw2GdVlBhb1HJzsny7pZCamNYJbdyJl/39Txn3G5aOQ2ryopY8PdFk4jues6bR+727OCoXWrVIKPNIhi7HUCf6/3akDvPIYl3CyGQkw+r2oW2G6Y=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1548701872; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=909; bh=5EguPzRGGdkdZT/9YDMHfvA2QLhdLVUoihIGo381aeA=;
 b=PgQ8FfLuxySoMr35JjyUBx/Lkmd9lJ6PRmy+7o43fpaLBOZHjVZLJch3XSuNXUsf
 /Fn+uWsPiLc5/oM7wMM67Sz8DdhuAJP7JLKrPhdgiC4eWjLLzHEjT3qSKpSi9lbQBjT
 x6t8e+yANeKfHI6P9SejnbEiLeOGJ+M7lHn7YTtQ=
Received: from localhost (p578E6A22.dip0.t-ipconnect.de [87.142.106.34]) by
 mx.zohomail.com with SMTPS id 154870186961524.002725666524157;
 Mon, 28 Jan 2019 10:57:49 -0800 (PST)
References: <20170819012022.7aad5fa6@HIDDEN>
 <ce4c4b43-7f04-47fe-9246-cefc9ea7a1ce@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Brant Gardner <brantcgardner@HIDDEN>
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
In-reply-to: <ce4c4b43-7f04-47fe-9246-cefc9ea7a1ce@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 28 Jan 2019 19:57:45 +0100
Message-ID: <87h8dsr4nq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Brant Gardner <brantcgardner@HIDDEN> writes:

> I get this very reproducibly with 'guix pull', starting last
> week. This is on a pretty simple installation of GuixSD, no extra
> parameters or unusual environment. Is there anything I gather that
> would help?
>
> Note: This only seems to happen for the non-root user executing 'guix
> pull' - so far it has not show for root.

That=E2=80=99s because every user has their own version of Guix.  The root
user=E2=80=99s copy of Guix differs from that of your other user account.

Could you please tell us what =E2=80=9Cguix describe=E2=80=9D and/or =E2=80=
=9Cguix --version=E2=80=9D
say?  This would help us figure out if we can do something to prevent
this.

You can get out of this problem by using a different variant of Guix to
run =E2=80=9Cguix pull=E2=80=9D, e.g. ~/.config/guix/current-1-link/bin/gui=
x pull.

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 28 Jan 2019 16:09:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 11:09:30 2019
Received: from localhost ([127.0.0.1]:49306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1go9TW-0007hr-D9
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 11:09:30 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:53359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brantcgardner@HIDDEN>) id 1go6Wz-00031e-3w
 for 28144 <at> debbugs.gnu.org; Mon, 28 Jan 2019 08:00:54 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 7871F2261E
 for <28144 <at> debbugs.gnu.org>; Mon, 28 Jan 2019 08:00:45 -0500 (EST)
Received: from imap2 ([10.202.2.52])
 by compute2.internal (MEProxy); Mon, 28 Jan 2019 08:00:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brantware.com;
 h=message-id:date:from:to:subject:content-type; s=fm1; bh=sEh9G
 SugibY6pDiUAY4qZWdlSnanDcmAwd7C+XBEBZw=; b=fEL6KasOVbFFtZ8vcNhWL
 4wctAz2sx59eUlgAiRAccL+Bl/i4XaCL8UE+wRAIXGc6xhYkYXfEtNmBHddOTU79
 5VN3bK3NACoFuK9l8PPyx7V/6LQEB1Z2hU6PnpZoJlVqQ823hhSRWrT4bu3ooxeJ
 Si0wle4ksUBGnXmd/46KYOFVqh8VPk90RBRYWGqmYoYMUiKBHOaMh1Xo1OqU3o/s
 tlZ0+5xmyD3TyfF4mo+uMGUBDwkQDSnkM7u/Al7pNn1YKr99bQeF2ng5N+6nPBXF
 VbSmukB/NJaAu2YUEyTDWyFe9RKPI2jvvzMT9FuRNaZ+BpIbDZx/XWLyyaDHHmQH
 w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id:subject
 :to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; bh=sEh9GSugibY6pDiUAY4qZWdlSnanDcmAwd7C+XBEBZw=; b=HwGjXsqL
 3Qq9/QdTY3W/fsB+DrPzFjrVlbjKZS27Ot/tkoZFi01ZgPoMyBy1IpKZTPCxFCGb
 oUt8ogjNqd2vvZT0QdqblUhCWcNmDfS8RiJzo6wtFSpW9hA5VPLTmMe/GWGxfXR5
 uWb0fzi9lsG/K18My3tK8lRUpaCnwrL/IC7kJWHSg9gPuDNI4wa3l1ShXAym/rNr
 KVU6mm+MujdVlQs9qbaIxj6TOmRcZ9yzwBwdPDwg3MnDXc+lpcPanmQXBI+1eNdE
 MYbE3DoKl6t5IZaqKncCAGZImk3UqjolSdTB3ZkwFf0PflDk+gMPtfkizUKjkDTN
 RXsrkrRxICXo1Q==
X-ME-Sender: <xms:_fxOXM_H4VLuHQkvctHMXIK0wxVB_6D_P7H0Z_lUMaWobguuU0aTZg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrjedtgdehudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucenucfjughrpefofgfkfffhvffutgesrgdtreerreertdenucfhrhhomhepfdeurh
 grnhhtucfirghrughnvghrfdcuoegsrhgrnhhttghgrghrughnvghrsegsrhgrnhhtfigr
 rhgvrdgtohhmqeenucfrrghrrghmpehmrghilhhfrhhomhepsghrrghnthgtghgrrhgunh
 gvrhessghrrghnthifrghrvgdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:_fxOXCQTnzcrmtI273AErs3OGUAx4gq-iHbuGHtO4mnDfT07a5kovg>
 <xmx:_fxOXDVWuj9ujjFYf_xYIy0LdpmwWAJZKz2UACGEraGU4MEt0dEYzA>
 <xmx:_fxOXG33tzJcTDYAuoWFUVxq3FvYmZ_vJWEMdHWrmUH5LrYa7jWdaw>
 <xmx:_fxOXKI3kHzPV0VGvCo2DN8X6rxd-eM1ZmNxTmP5DmhfUILguNkeMw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id E54DE7C1BA; Mon, 28 Jan 2019 08:00:44 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.1.5-766-ge2be361-fmstable-20190123v1
X-Me-Personality: 65413192
Message-Id: <ce4c4b43-7f04-47fe-9246-cefc9ea7a1ce@HIDDEN>
Date: Mon, 28 Jan 2019 08:00:42 -0500
From: "Brant Gardner" <brantcgardner@HIDDEN>
To: 28144 <at> debbugs.gnu.org
Subject: info-dir ERROR: no code for module (guix build utils)
Content-Type: multipart/alternative; boundary=e1790566799b4428af3ed8a1f784eae9
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I get this very reproducibly with 'guix pull', starting last
 week. This is on a pretty simple installation of GuixSD, no extra parameters
 or unusual environment. Is there anything I gather that would [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [66.111.4.29 listed in list.dnswl.org]
 2.0 MIME_HEADER_CTYPE_ONLY 'Content-Type' found without required
 MIME headers
X-Debbugs-Envelope-To: 28144
X-Mailman-Approved-At: Mon, 28 Jan 2019 11:09:29 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--e1790566799b4428af3ed8a1f784eae9
Content-Type: text/plain

I get this very reproducibly with 'guix pull', starting last week. This is on a pretty simple installation of GuixSD, no extra parameters or unusual environment. Is there anything I gather that would help?

Note: This only seems to happen for the non-root user executing 'guix pull' - so far it has not show for root.

--
Brant Gardner
Key: E9F7 AC51 99A7 C8DF 355D A751 7064 3C93 00C0 FBCE


--e1790566799b4428af3ed8a1f784eae9
Content-Type: text/html

<!DOCTYPE html><html><head><title></title><style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><div>I get this very reproducibly with 'guix pull', starting last week.&nbsp; This is on a pretty simple installation of GuixSD, no extra parameters or unusual environment.&nbsp; Is there anything I gather that would help?<br></div><div><br></div><div>Note: This only seems to happen for the non-root user executing 'guix pull' - so far it has not show for root.<br></div><div><br></div><div id="sig65413192"><div class="signature">--<br></div><div class="signature">Brant Gardner<br></div><div class="signature">Key: E9F7 AC51 99A7 C8DF 355D&nbsp; A751 7064 3C93 00C0 FBCE<br></div><div class="signature"><br></div></div><div><br></div></body></html>
--e1790566799b4428af3ed8a1f784eae9--




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 3 Jan 2019 22:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 17:02:20 2019
Received: from localhost ([127.0.0.1]:46039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gfB4G-0001iB-LO
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2019 17:02:20 -0500
Received: from sender-of-o53.zoho.com ([135.84.80.218]:21721)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gfB4E-0001hw-Ul
 for 28144 <at> debbugs.gnu.org; Thu, 03 Jan 2019 17:02:19 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1546552906; cv=none; d=zoho.com; s=zohoarc; 
 b=WBMuefEOL+rKBTxHrM4pM4KjdgnDBz36cDZ0QGDe3uTve/E7PGbIJhAevHftpgRJmw4CsigU6yoSIBBFWQy0c3wRlWKaBT6GlAwsCYe07NVh/NWV5BwO2Jfw5Tqn8ggCtcy7DiMBLt6Cb9j9tnpC7cBv0otJ4bnCveTGIUJDgMQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1546552906;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=PlkqYM8Sq/FirosA0VaUGKqq2IWlntaPKEWXaQTs0xc=; 
 b=DeevYbM8cqalTD1sHJjpduQvj3pVtO5TfFZl/3IUlVea0CLCK2+UxmawbaXMBl2mFUy0QrnXCG5qfErXJs5lYkGlzwnnkf4jBV+53v6XWbfWB72XFWZ+ywE7fRvJjDmBG/qbdL7jh/OsShbCbh/bd8m8mgFqurkiKy6kMhX4FMM=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1546552906; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=893; bh=PlkqYM8Sq/FirosA0VaUGKqq2IWlntaPKEWXaQTs0xc=;
 b=Nu4OtnlDIh/mAwa8OvXA2MLFm10rJOkoYXR9QVmeK0GL9hvjzQQP7YqUTrf6tn/j
 iMQYPJvOlch9hipnvB0sFRNcWE9CbfufHAH3Y0mipAfSyZa60kZlz+gpVDkdRQ9OI52
 +4N4OYEuR0LZaEy/Zy4PXW0rD0WGqLz6GGdgYT34=
Received: from localhost (p578E6755.dip0.t-ipconnect.de [87.142.103.85]) by
 mx.zohomail.com with SMTPS id 15465529060670.49348221800016745;
 Thu, 3 Jan 2019 14:01:46 -0800 (PST)
References: <BLUPR16MB05006CCADC9B1E67C28BCF65928C0@HIDDEN>
 <87vaca578z.fsf@HIDDEN>
 <BLUPR16MB05002D49B4A0E83B5F5FF4DD92820@HIDDEN>
 <87po2hyozt.fsf@HIDDEN>
 <BLUPR16MB0500BA35BBAD09BFB6A735A192820@HIDDEN>
 <87po2gtn82.fsf@HIDDEN> <878t93sdly.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#31294: Failed building dependencies for guix.
In-reply-to: <878t93sdly.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 03 Jan 2019 23:01:41 +0100
Message-ID: <87k1jltn7e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org, "31294 <at> debbugs.gnu.org" <31294 <at> debbugs.gnu.org>,
 Fis Trivial <ybbs.daans@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:
>
>> It confirms that the bad code creates a <gexp> structure with the empty
>> list as its =E2=80=98modules=E2=80=99 field instead of '((guix build uti=
ls)).
>>
>> That=E2=80=99s clearly a Guile bug.
>
> This miscompilation issue involves =E2=80=9Csyntax parameters=E2=80=9D (b=
ecause
> =E2=80=98with-imported-modules=E2=80=99 uses a syntax parameter), and it =
very likely has
> to do with the thread-safety issue I describe here:
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D27476#74>.

I just got this on my Fedora workstation in the office, where I use Guix
from a git checkout.  I worked around this by moving =E2=80=9Cguix/profiles=
.go=E2=80=9D
out of the way.

(Some people seem to be getting this with just =E2=80=9Cguix pull=E2=80=9D =
now.)

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.
Merged 28144 31294 31367 32385. Request was from Chris Marusich <cmmarusich@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 28144 31294 31367. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 1 May 2018 13:35:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 01 09:35:28 2018
Received: from localhost ([127.0.0.1]:44831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fDVRI-0007AZ-9l
	for submit <at> debbugs.gnu.org; Tue, 01 May 2018 09:35:28 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:47176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1fDVRE-0007AM-TF; Tue, 01 May 2018 09:35:25 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id BB15112233;
 Tue,  1 May 2018 15:35:23 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sU_1Uwt3ACG1; Tue,  1 May 2018 15:35:23 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 9B95CDAF2;
 Tue,  1 May 2018 15:35:22 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Fis Trivial <ybbs.daans@HIDDEN>
Subject: Re: bug#31294: Failed building dependencies for guix.
References: <BLUPR16MB05006CCADC9B1E67C28BCF65928C0@HIDDEN>
 <87vaca578z.fsf@HIDDEN>
 <BLUPR16MB05002D49B4A0E83B5F5FF4DD92820@HIDDEN>
 <87po2hyozt.fsf@HIDDEN>
 <BLUPR16MB0500BA35BBAD09BFB6A735A192820@HIDDEN>
 <87po2gtn82.fsf@HIDDEN>
Date: Tue, 01 May 2018 15:35:21 +0200
In-Reply-To: <87po2gtn82.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Mon, 30 Apr 2018 23:10:05 +0200")
Message-ID: <878t93sdly.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org, "31294 <at> debbugs.gnu.org" <31294 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> It confirms that the bad code creates a <gexp> structure with the empty
> list as its =E2=80=98modules=E2=80=99 field instead of '((guix build util=
s)).
>
> That=E2=80=99s clearly a Guile bug.

This miscompilation issue involves =E2=80=9Csyntax parameters=E2=80=9D (bec=
ause
=E2=80=98with-imported-modules=E2=80=99 uses a syntax parameter), and it ve=
ry likely has
to do with the thread-safety issue I describe here:
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D27476#74>.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.
Merged 28144 31294. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 29 Apr 2018 16:04:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 29 12:04:34 2018
Received: from localhost ([127.0.0.1]:43039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCooU-0002LC-4w
	for submit <at> debbugs.gnu.org; Sun, 29 Apr 2018 12:04:34 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:57788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1fCooR-0002L0-Bx; Sun, 29 Apr 2018 12:04:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CCC5C12077;
 Sun, 29 Apr 2018 18:04:30 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Hyt-yaWoc0L2; Sun, 29 Apr 2018 18:04:29 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 2E28111F84;
 Sun, 29 Apr 2018 18:04:29 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Fis Trivial <ybbs.daans@HIDDEN>
Subject: Re: bug#31294: Failed building dependencies for guix.
References: <BLUPR16MB05006CCADC9B1E67C28BCF65928C0@HIDDEN>
Date: Sun, 29 Apr 2018 18:04:28 +0200
In-Reply-To: <BLUPR16MB05006CCADC9B1E67C28BCF65928C0@HIDDEN>
 (Fis Trivial's message of "Sat, 28 Apr 2018 03:55:25 +0000")
Message-ID: <87vaca578z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org, 31294 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,

Fis Trivial <ybbs.daans@HIDDEN> skribis:

> Use following steps to reproduce:
> $ env -i bash --norc --noprofile --login
> $ guix environment guix
>
> Error message:
>
> The following derivations will be built:
>    /gnu/store/c53mj37x2dnrgmrpagpv9l5c2ghly2hy-profile.drv
>    /gnu/store/vpvx01j2qs31lfix131n1akwdjwf5s4z-xdg-desktop-database.drv
>    /gnu/store/hr8xa2inki6lfbn8v9jfgmygbxygszs2-xdg-mime-database.drv
>    /gnu/store/5y6mkv079xq5hnfajxfwky0kfc6ffy3p-info-dir.drv
>    /gnu/store/95glrzk2y6p6b3z7hlmdignzzvxjvi2r-manual-database.drv
> Backtrace:
>           10 (primitive-load "/gnu/store/mpy5w5gprs1ymrl3kwhqwr2jvnk?")
> In ice-9/eval.scm:
>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
> In ice-9/psyntax.scm:
>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
> In ice-9/boot-9.scm:
>   3365:20  4 (process-use-modules _)
>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>   3366:31  2 (_ ((guix build utils)))
>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
> In unknown file:
>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>
> ERROR: In procedure scm-error:
> no code for module (guix build utils)
> builder for `/gnu/store/5y6mkv079xq5hnfajxfwky0kfc6ffy3p-info-dir.drv' fa=
iled with exit code 1

This looks like <https://bugs.gnu.org/28144>, which we don=E2=80=99t unders=
tand
yet.

(Most likely changing the Bash environment just led you to ignore
~/.config/guix/latest (or vice versa), thereby leading you to use a
different set of Guix compiled modules.)

Could you paste /gnu/store/5y6mkv079xq5hnfajxfwky0kfc6ffy3p-info-dir.drv ?

Also, could you post ~/.config/guix/latest/guix/profiles.go and
/run/current-system/profile/lib/guile/2.2/site-ccache/guix/profiles.go ?
(Perhaps you=E2=80=99ll need to gzip them to be sure.)

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 13 Nov 2017 10:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 13 05:03:20 2017
Received: from localhost ([127.0.0.1]:37729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eEBaK-0005DV-JW
	for submit <at> debbugs.gnu.org; Mon, 13 Nov 2017 05:03:20 -0500
Received: from hera.aquilenet.fr ([141.255.128.1]:36833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eEBaH-0005DM-Nd
 for 28144 <at> debbugs.gnu.org; Mon, 13 Nov 2017 05:03:18 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 3BDABE9A9;
 Mon, 13 Nov 2017 11:03:19 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DfkAQvuk89RB; Mon, 13 Nov 2017 11:03:17 +0100 (CET)
Received: from ribbon (unknown [193.50.110.148])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 7C583E79A;
 Mon, 13 Nov 2017 11:03:17 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
References: <20170819012022.7aad5fa6@HIDDEN>
Date: Mon, 13 Nov 2017 11:03:15 +0100
In-Reply-To: <20170819012022.7aad5fa6@HIDDEN> (Christopher Baines's
 message of "Sat, 19 Aug 2017 01:20:22 +0100")
Message-ID: <87efp2a42k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Christopher Baines <mail@HIDDEN> skribis:

> The following derivations will be built:
>    /gnu/store/8qi10kwz4ghabdj5p7s252z11snvhhgf-profile.drv
>    /gnu/store/0jxiph2hvmvakcj6gkz9d00a8ncma903-info-dir.drv
> Backtrace:
> In ice-9/boot-9.scm:
>  160: 18 [catch #t #<catch-closure 8c5e00> ...]
> In unknown file:
>    ?: 17 [apply-smob/1 #<catch-closure 8c5e00>]
> In ice-9/boot-9.scm:
>   66: 16 [call-with-prompt prompt0 ...]
> In ice-9/eval.scm:
>  432: 15 [eval # #]
> In ice-9/boot-9.scm:
> 2412: 14 [save-module-excursion #<procedure 8e6940 at ice-9/boot-9.scm:40=
84:3 ()>]
> 4089: 13 [#<procedure 8e6940 at ice-9/boot-9.scm:4084:3 ()>]
> 1734: 12 [%start-stack load-stack #<procedure 8f0340 at ice-9/boot-9.scm:=
4080:10 ()>]
> 1739: 11 [#<procedure 8f8c30 ()>]
> In unknown file:
>    ?: 10 [primitive-load "/gnu/store/9ywpf5jc12svv04gvbx96j5z1kpllwn4-inf=
o-dir-builder"]
> In ice-9/eval.scm:
>  505: 9 [#<procedure 79c6a0 at ice-9/eval.scm:499:4 (exp)> (begin # # # .=
..)]
> In ice-9/psyntax.scm:
> 1107: 8 [expand-top-sequence ((begin # # # ...)) () ((top)) ...]
>  990: 7 [scan ((begin (use-modules # # ...) (define # #) ...)) () ...]
>  990: 6 [scan ((use-modules # # ...) (define # #) (define # #) ...) () ..=
.]
>  279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
> In ice-9/boot-9.scm:
> 3622: 4 [process-use-modules ((#) (#) (#) (#))]
>  712: 3 [map #<procedure 8576a0 at ice-9/boot-9.scm:3622:25 (mif-args)> (=
# # # #)]
> 3623: 2 [#<procedure 8576a0 at ice-9/boot-9.scm:3622:25 (mif-args)> (#)]
> 2903: 1 [resolve-interface (guix build utils) #:select ...]
> In unknown file:
>    ?: 0 [scm-error misc-error #f ...]
>
> ERROR: In procedure scm-error:
> ERROR: no code for module (guix build utils)
> builder for `/gnu/store/0jxiph2hvmvakcj6gkz9d00a8ncma903-info-dir.drv' fa=
iled with exit code 1

I=E2=80=99ve just experienced it!

As in your case, info-dir.drv contained no references to
module-import.drv or anything like that, and the =E2=80=98guile=E2=80=99 co=
mmand line
lacked =E2=80=98-L =E2=80=A6-module-import=E2=80=99.

Then I recompiled guix/profiles.go, and the problem went away.

My guess is that Guile 2.2.2 sometimes mishandles syntax parameters.  In
this case, the syntax param used by =E2=80=98with-imported-modules=E2=80=99=
 was seen as
'() during macro expansion whereas it should have been '((guix build
utils)).

This is very similar to what we see in <https://bugs.gnu.org/27476>.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 28144 <at> debbugs.gnu.org and Christopher Baines <mail@HIDDEN> Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Added tag(s) unreproducible. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 22 Aug 2017 11:02:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 22 07:02:16 2017
Received: from localhost ([127.0.0.1]:48679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dk6wq-00073E-0z
	for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 07:02:16 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:33042
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1dk6wm-000733-0r
 for 28144 <at> debbugs.gnu.org; Tue, 22 Aug 2017 07:02:12 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 09F0113D1F6; Tue, 22 Aug 2017 12:02:11 +0100 (BST)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 5DBA813D1F5;
 Tue, 22 Aug 2017 12:02:10 +0100 (BST)
Date: Tue, 22 Aug 2017 12:02:03 +0100
From: Christopher Baines <mail@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=)
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
Message-ID: <20170822120203.042e946f@HIDDEN>
In-Reply-To: <87h8wz7ull.fsf@HIDDEN>
References: <20170819012022.7aad5fa6@HIDDEN> <87d17oc7u4.fsf@HIDDEN>
 <20170822105958.19d2b0e3@HIDDEN> <87h8wz7ull.fsf@HIDDEN>
X-Mailer: Claws Mail 3.15.0-dirty (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 boundary="Sig_/U3.ESK7ruUyW8xIhWnwSXTq"; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--Sig_/U3.ESK7ruUyW8xIhWnwSXTq
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Tue, 22 Aug 2017 12:41:26 +0200
ludo@HIDDEN (Ludovic Court=C3=A8s) wrote:

> Christopher Baines <mail@HIDDEN> skribis:
>=20
> > bin/guile",["--no-auto-compile","/gnu/store/9ywpf5jc12svv04gvbx96j5z1kp=
llwn4-info-dir-builder"] =20
>=20
> Something is indeed wrong here.  I have:
>=20
> --8<---------------cut here---------------start------------->8---
> $ cat    /gnu/store/0gn0dxgg68w3yc4ywxp586z98h9l00j3-info-dir.drv
> [...]
> bin/guile",["--no-auto-compile","-L","/gnu/store/l4jxniixlkqpy5aaxhgfp4xy=
wsimd6p2-module-import","-C","/gnu/store/gj3ks9vi1ys3hgr1jzywjx2rq3dsmsbd-m=
odule-import-compiled","/gnu/store/m4kyr2isfskss2vkc7hvnbw786kd52v9-info-di=
r-builder"]
> [...] --8<---------------cut
> here---------------end--------------->8---
>=20
> Is it reproducible?  Does =E2=80=9Cmake clean-go && make=E2=80=9D help?  =
Is it Guile
> 2.2 or 2.0?

Unfortunately, I've only run in to this when trying to get other stuff
done, and my approach for working around the problem has been to delete
the guix packages from the store to force them to be rebuilt.

I'd previously guessed that the ...-info-dir-builder was wrong, but
knowing that the command in the derivation is wrong is useful. If I
come across this again, I'll try to investigate further, but I don't
have a way of reproducing this at the moment.

--Sig_/U3.ESK7ruUyW8xIhWnwSXTq
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlmcDytfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdpVxAAtXW4D+/jxFyxqY7wioMoEOnRdr3h0P3h8P5OIVoxI+2h5+G2jqKILDml
NnbPfIwAlF9dhPlNCZzGAMoMxWNMHf6vl4aVluEbBilFklQ2LZqpab6tcW5DNIPw
tNU+BuIqMWWRd4ZOmfybpkwo6ZtT6Jhlqln6m5Vmk2nwoFzw3OKgH3scid3Viy4d
Q8BF632s/tdAoSXExwBLkqQAyRYQv3Nj/ienDwnQmZamGQScx0+Ti6UsSbi2PGxG
wJyxApnAyTmJWZ9LzIpTIJkLE3EEKW9fteoBsn4Cs2xP3uZLaGIRZN0J9R+JIvbc
syivfi1afzPsuxW7cDfuV8e6nlE7cOU5eCC2ppF1DLqjQdITc7WGyUG11neb9vIm
fCauKYvonvYs8BvpBxvjVeRaThH3bKGxJVXFgqfNLJpmgzhpPuE56ZbDpFTAotRP
7JfTT6HDcVArIx3ka1q0HkZIuOHwreTm8Acbkk7Z57I5/tN/St+hTI63x8IBWWOv
+gF0/Ok6MQri1rmK3g15NFMOeqrVBD8eJk+1YvMna6hQ0wcY9/ahuiSLaCgANeKQ
rz0FJ5cZxTa3dZyg0hRocHjutyGTBuDCeobw5LQsYVPgdMUCtOIQi2OqY7cIx0YP
UucMbz4M8EXSu0E1wL14xxmhrLwhvyMBst7do1J8/0Uq14FX8E0=
=0i1K
-----END PGP SIGNATURE-----

--Sig_/U3.ESK7ruUyW8xIhWnwSXTq--




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 22 Aug 2017 10:41:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 22 06:41:41 2017
Received: from localhost ([127.0.0.1]:48646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dk6cv-0006U1-53
	for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 06:41:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dk6ct-0006Tn-3v
 for 28144 <at> debbugs.gnu.org; Tue, 22 Aug 2017 06:41:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dk6ck-0005ix-Pa
 for 28144 <at> debbugs.gnu.org; Tue, 22 Aug 2017 06:41:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55789)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dk6ck-0005it-M8; Tue, 22 Aug 2017 06:41:30 -0400
Received: from [193.50.110.251] (port=38060 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dk6ck-0003rE-1J; Tue, 22 Aug 2017 06:41:30 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
References: <20170819012022.7aad5fa6@HIDDEN> <87d17oc7u4.fsf@HIDDEN>
 <20170822105958.19d2b0e3@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Tue, 22 Aug 2017 12:41:26 +0200
In-Reply-To: <20170822105958.19d2b0e3@HIDDEN> (Christopher Baines's
 message of "Tue, 22 Aug 2017 10:59:58 +0100")
Message-ID: <87h8wz7ull.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Christopher Baines <mail@HIDDEN> skribis:

> bin/guile",["--no-auto-compile","/gnu/store/9ywpf5jc12svv04gvbx96j5z1kpll=
wn4-info-dir-builder"]

Something is indeed wrong here.  I have:

--8<---------------cut here---------------start------------->8---
$ cat    /gnu/store/0gn0dxgg68w3yc4ywxp586z98h9l00j3-info-dir.drv
[...] bin/guile",["--no-auto-compile","-L","/gnu/store/l4jxniixlkqpy5aaxhgf=
p4xywsimd6p2-module-import","-C","/gnu/store/gj3ks9vi1ys3hgr1jzywjx2rq3dsms=
bd-module-import-compiled","/gnu/store/m4kyr2isfskss2vkc7hvnbw786kd52v9-inf=
o-dir-builder"] [...]
--8<---------------cut here---------------end--------------->8---

Is it reproducible?  Does =E2=80=9Cmake clean-go && make=E2=80=9D help?  Is=
 it Guile 2.2
or 2.0?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 22 Aug 2017 10:00:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 22 06:00:06 2017
Received: from localhost ([127.0.0.1]:48636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dk5yg-0005St-3Z
	for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 06:00:06 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:32988
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1dk5yb-0005Rr-BR
 for 28144 <at> debbugs.gnu.org; Tue, 22 Aug 2017 06:00:03 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id C936B13D1F7; Tue, 22 Aug 2017 11:00:00 +0100 (BST)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED,WEIRD_QUOTING autolearn=unavailable autolearn_force=no
 version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 8117513D1F5;
 Tue, 22 Aug 2017 10:59:59 +0100 (BST)
Date: Tue, 22 Aug 2017 10:59:58 +0100
From: Christopher Baines <mail@HIDDEN>
To: ludo@HIDDEN (Ludovic =?UTF-8?B?Q291cnTDqHM=?=)
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
Message-ID: <20170822105958.19d2b0e3@HIDDEN>
In-Reply-To: <87d17oc7u4.fsf@HIDDEN>
References: <20170819012022.7aad5fa6@HIDDEN>
	<87d17oc7u4.fsf@HIDDEN>
X-Mailer: Claws Mail 3.15.0-dirty (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 boundary="Sig_/8I5aoDh2.az1TkA81UDn3YF"; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--Sig_/8I5aoDh2.az1TkA81UDn3YF
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Tue, 22 Aug 2017 10:41:55 +0200
ludo@HIDDEN (Ludovic Court=C3=A8s) wrote:

> Heya,
>=20
> Christopher Baines <mail@HIDDEN> skribis:
>=20
> > I've had the following issue a few times now, it seems that somehow,
> > the info-dir builder can be incorrectly generated, without the usual
> > module import stuff.
> >
> > The most recent time this occurred, I worked around this by finding
> > the guix package in the store which I thought was being used at the
> > time, and explicitly garbage collected it (guix gc -d ...). I then
> > rebuilt it, and this seemed to work around the problem. I was using
> > the same guix package, pinned to an revision in a git repository.
> >
> >
> > The builder starts with:
> >
> >   (begin (use-modules (guix build utils)
> >
> >
> > This is the error which you get:
> >
> > The following derivations will be built:
> >    /gnu/store/8qi10kwz4ghabdj5p7s252z11snvhhgf-profile.drv
> >    /gnu/store/0jxiph2hvmvakcj6gkz9d00a8ncma903-info-dir.drv =20
>=20
> Could you check if the .drv has the right -L and -C flags for guile?
>=20
> What commit was this on?
>=20
> Looking at (guix profiles), what you describe Cannot Happen=E2=84=A2 beca=
use
> there=E2=80=99s a correct =E2=80=98with-imported-modules=E2=80=99 form th=
ere.

I've included the derivation contents below, I can't see the -L and -C
flags, so I'm guessing that they are missing.

As for what commit this is on, this particular occurance took place
when I was using my odd guix-pre-inst-env [1] script that
attempts to create an environment containing a particular version of
Guix, without letting anything from the surrounding environment creep
in, so I'm not really sure what code was in use at the time.

1: https://github.com/alphagov/govuk-guix/blob/master/guix-pre-inst-env

Derive([("out","/gnu/store/fnfm2vv9khyxpsnr7ybn8h7ir2l3685y-info-dir","",""=
)],[("/gnu/store/0l3zxcx0n31xal7jf1d981j377wh3nir-zlib-1.2.11.drv",["out"])=
,("/gnu/store/0ppzqkwl7ma4s3bz1wvc0s9crd0wbir7-guile-2.2.2.drv",["out"]),("=
/gnu/store/1wq563kgbhv26f99hq1d2ay7gw8qy3cq-libgc-7.6.0.drv",["out"]),("/gn=
u/store/2ryhk3mp55dshlgyj53a16x08ifqqlvw-bash-4.4.12.drv",["out"]),("/gnu/s=
tore/4rjl58s30zwiahl6ji7bbjxq30yyl9vl-texinfo-6.3.drv",["out"]),("/gnu/stor=
e/69b611ifkq1942zvf79d5sszpp8n9w38-libunistring-0.9.7.drv",["out"]),("/gnu/=
store/94hkgqjvsk689zzhdv9382kh2pkn7mrz-libltdl-2.4.6.drv",["out"]),("/gnu/s=
tore/c8zl2wq0jmahcjb2zdf5w5z1i2iangma-guix-gds-release_8.drv",["out"]),("/g=
nu/store/g2a46givk3s9jlchmq4m1fmnc25qh1c0-git-2.13.1.drv",["out"]),("/gnu/s=
tore/hdd0rz201djb0wis4jwrlnjp3kq1f9xq-nss-certs-3.31.drv",["out"]),("/gnu/s=
tore/lvkjr70rf8j355igip04z8iglxnl3mkk-guile-ssh-0.11.0.drv",["out"]),("/gnu=
/store/lw5qrzgh2yxpd58b722ph6f466sn51xm-gmp-6.1.2.drv",["out"]),("/gnu/stor=
e/m71zs1cgl0qiyrl5mzrjh60dsg757nvx-guile-2.0.14.drv",["out"]),("/gnu/store/=
rwgybvpsmrkh6rbz502ac6p6vkfr1jgm-gzip-1.8.drv",["out"]),("/gnu/store/vd7py9=
zp3s81mg3h0ppm5bkbdcgpn17w-libidn2-0.16.drv",["out"]),("/gnu/store/vk8fhc7x=
7kc4y6h6gy42idnawxabj8dv-guile2.2-gnutls-3.5.9.drv",["out"]),("/gnu/store/v=
l1vcbzgplncw4i3sfiglyy1n2ycnwwn-guile-json-0.6.0.drv",["out"]),("/gnu/store=
/whz1jbvs9ipgkslim63lqw7wdljxlmzg-nettle-3.3.drv",["out"]),("/gnu/store/xdb=
nmw3kizlx157l76cdb1w6y2kz7yhi-coreutils-8.27.drv",["out"]),("/gnu/store/xs8=
z1ycvdpmip7rx4xqs8qj56fdblgbk-less-487.drv",["out"]),("/gnu/store/xz2zfvzy2=
g55wgna0vpwd6zjwfmxn1ms-libtasn1-4.10.drv",["out"])],["/gnu/store/9ywpf5jc1=
2svv04gvbx96j5z1kpllwn4-info-dir-builder"],"x86_64-linux","/gnu/store/3lsfr=
wlp1qa345x71yw5w49i2mpp0vxm-guile-2.0.14/bin/guile",["--no-auto-compile","/=
gnu/store/9ywpf5jc12svv04gvbx96j5z1kpllwn4-info-dir-builder"],[("allowSubst=
itutes","0"),("out","/gnu/store/fnfm2vv9khyxpsnr7ybn8h7ir2l3685y-info-dir")=
,("preferLocalBuild","1")])

--Sig_/8I5aoDh2.az1TkA81UDn3YF
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlmcAJ5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdwSQ//VUqFQVnZa9r6yOT0IIHU8Wbo7wkjroALRgOqchWi8MILVXcQYmjHkEY3
6QnM1RrTCrNnuI3pAJLel9uqA6PR7CNQ2SOUErbbTOAYB+N//1rBziMWmBLDznoX
2NGeBZe/7NZa1xTGsDSRekc0Cr54fTMaKIgWRHGtYgDJ4J+ofXXX0E/hIRBgMtB5
iLi91+oJ8mziKlAnd2YWEKgXzvtGfNXUiKnuSIThgDhZHp/qs+zc3VLhTGikUedD
EAXhEyecq/+XmyMqQl0dsVivu18p4blHfAm6tr/A08yaPHE/PSx63/QPMZ4yEO9N
deS/uyix/hTNNlStKAmB5CvLldElIUDudrv8dawBYiXhp3wA1vD3fjZ4L+k5n/AQ
yYn8MBEUFCAyd1PB6YkxZpR/2QwZxDoWmAZ018NKr2u2wS7FSVi9CNi4dz7YKQqF
bja+Ii0eX9fnmCAQBnaNwcAPWFMnhRf1REvWN30he+XjI8SuIA3HSZDRAWZnFmH4
XyD5MYEwwjoJxSZS06Zg9twCzEO0wotspM3GWcjJYUY0PLUGnxz1q0UpGwo0doGx
mv0mL9CSEPsg/FiDg/10Aep0qiRDjstBX2DJ9Tl0UYgACSvJoiRH7wXiAzV0gN/M
3QbUrb3R9FeoeVA8HwlYu/pRPk1wBe2BvByHu1LePYQRDt8uZXQ=
=/btj
-----END PGP SIGNATURE-----

--Sig_/8I5aoDh2.az1TkA81UDn3YF--




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at 28144 <at> debbugs.gnu.org:


Received: (at 28144) by debbugs.gnu.org; 22 Aug 2017 08:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 22 04:42:08 2017
Received: from localhost ([127.0.0.1]:48551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dk4lE-0003ZW-0V
	for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 04:42:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51309)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dk4lC-0003Yz-4z
 for 28144 <at> debbugs.gnu.org; Tue, 22 Aug 2017 04:42:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dk4l3-0008IQ-O0
 for 28144 <at> debbugs.gnu.org; Tue, 22 Aug 2017 04:42:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54497)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dk4l3-0008IK-Km; Tue, 22 Aug 2017 04:41:57 -0400
Received: from [193.50.110.251] (port=36866 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dk4l3-0007D0-6g; Tue, 22 Aug 2017 04:41:57 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)
References: <20170819012022.7aad5fa6@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Tue, 22 Aug 2017 10:41:55 +0200
In-Reply-To: <20170819012022.7aad5fa6@HIDDEN> (Christopher Baines's
 message of "Sat, 19 Aug 2017 01:20:22 +0100")
Message-ID: <87d17oc7u4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28144
Cc: 28144 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Heya,

Christopher Baines <mail@HIDDEN> skribis:

> I've had the following issue a few times now, it seems that somehow,
> the info-dir builder can be incorrectly generated, without the usual
> module import stuff.
>
> The most recent time this occurred, I worked around this by finding the
> guix package in the store which I thought was being used at the time,
> and explicitly garbage collected it (guix gc -d ...). I then rebuilt
> it, and this seemed to work around the problem. I was using the same
> guix package, pinned to an revision in a git repository.
>
>
> The builder starts with:
>
>   (begin (use-modules (guix build utils)
>
>
> This is the error which you get:
>
> The following derivations will be built:
>    /gnu/store/8qi10kwz4ghabdj5p7s252z11snvhhgf-profile.drv
>    /gnu/store/0jxiph2hvmvakcj6gkz9d00a8ncma903-info-dir.drv

Could you check if the .drv has the right -L and -C flags for guile?

What commit was this on?

Looking at (guix profiles), what you describe Cannot Happen=E2=84=A2 because
there=E2=80=99s a correct =E2=80=98with-imported-modules=E2=80=99 form ther=
e.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Aug 2017 00:20:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 18 20:20:44 2017
Received: from localhost ([127.0.0.1]:44753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dirVM-0003p1-AE
	for submit <at> debbugs.gnu.org; Fri, 18 Aug 2017 20:20:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1dirVK-0003oq-Rs
 for submit <at> debbugs.gnu.org; Fri, 18 Aug 2017 20:20:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1dirVE-00067R-1O
 for submit <at> debbugs.gnu.org; Fri, 18 Aug 2017 20:20:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35448)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1dirVD-00066v-QV
 for submit <at> debbugs.gnu.org; Fri, 18 Aug 2017 20:20:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60211)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1dirVC-0007W3-Iz
 for bug-guix@HIDDEN; Fri, 18 Aug 2017 20:20:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1dirV7-0005yy-DC
 for bug-guix@HIDDEN; Fri, 18 Aug 2017 20:20:34 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:57786
 helo=mira.cbaines.net) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1dirV6-0005yF-HW
 for bug-guix@HIDDEN; Fri, 18 Aug 2017 20:20:28 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id CF9FB16FE9E; Sat, 19 Aug 2017 01:20:25 +0100 (BST)
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 96F2916FE9C
 for <bug-guix@HIDDEN>; Sat, 19 Aug 2017 01:20:25 +0100 (BST)
Date: Sat, 19 Aug 2017 01:20:22 +0100
From: Christopher Baines <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: info-dir ERROR: no code for module (guix build utils)
Message-ID: <20170819012022.7aad5fa6@HIDDEN>
X-Mailer: Claws Mail 3.15.0-dirty (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 boundary="Sig_/JkKWI._R/l7.CHy57SihulV"; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--Sig_/JkKWI._R/l7.CHy57SihulV
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

I've had the following issue a few times now, it seems that somehow,
the info-dir builder can be incorrectly generated, without the usual
module import stuff.

The most recent time this occurred, I worked around this by finding the
guix package in the store which I thought was being used at the time,
and explicitly garbage collected it (guix gc -d ...). I then rebuilt
it, and this seemed to work around the problem. I was using the same
guix package, pinned to an revision in a git repository.


The builder starts with:

  (begin (use-modules (guix build utils)


This is the error which you get:

The following derivations will be built:
   /gnu/store/8qi10kwz4ghabdj5p7s252z11snvhhgf-profile.drv
   /gnu/store/0jxiph2hvmvakcj6gkz9d00a8ncma903-info-dir.drv
Backtrace:
In ice-9/boot-9.scm:
 160: 18 [catch #t #<catch-closure 8c5e00> ...]
In unknown file:
   ?: 17 [apply-smob/1 #<catch-closure 8c5e00>]
In ice-9/boot-9.scm:
  66: 16 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 15 [eval # #]
In ice-9/boot-9.scm:
2412: 14 [save-module-excursion #<procedure 8e6940 at ice-9/boot-9.scm:4084=
:3 ()>]
4089: 13 [#<procedure 8e6940 at ice-9/boot-9.scm:4084:3 ()>]
1734: 12 [%start-stack load-stack #<procedure 8f0340 at ice-9/boot-9.scm:40=
80:10 ()>]
1739: 11 [#<procedure 8f8c30 ()>]
In unknown file:
   ?: 10 [primitive-load "/gnu/store/9ywpf5jc12svv04gvbx96j5z1kpllwn4-info-=
dir-builder"]
In ice-9/eval.scm:
 505: 9 [#<procedure 79c6a0 at ice-9/eval.scm:499:4 (exp)> (begin # # # ...=
)]
In ice-9/psyntax.scm:
1107: 8 [expand-top-sequence ((begin # # # ...)) () ((top)) ...]
 990: 7 [scan ((begin (use-modules # # ...) (define # #) ...)) () ...]
 990: 6 [scan ((use-modules # # ...) (define # #) (define # #) ...) () ...]
 279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
In ice-9/boot-9.scm:
3622: 4 [process-use-modules ((#) (#) (#) (#))]
 712: 3 [map #<procedure 8576a0 at ice-9/boot-9.scm:3622:25 (mif-args)> (# =
# # #)]
3623: 2 [#<procedure 8576a0 at ice-9/boot-9.scm:3622:25 (mif-args)> (#)]
2903: 1 [resolve-interface (guix build utils) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f ...]

ERROR: In procedure scm-error:
ERROR: no code for module (guix build utils)
builder for `/gnu/store/0jxiph2hvmvakcj6gkz9d00a8ncma903-info-dir.drv' fail=
ed with exit code 1

--Sig_/JkKWI._R/l7.CHy57SihulV
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlmXhEZfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XfQkg/9HH85W0RvoTc1N+aD3HWa+/mxzX7zOxHFQUja+JiZLxx/Bo+gw5q1HIgn
zjWZ6p97Ofv1SnaYO35lgsEvZztOz6Dg9j1utVySSk9Ogufaa0yu1Ku49g3wETOh
G2ixqQI3YIrXq0jB236gwvaT1oeVbx+rlmJFykrF0mS9HL922vbwzlV8zvQ8SaI7
vIPDvNHwjHpKVH+cqVEnQ5kdDxdNjIyHuxmy55SwYYa4E2jnmIXVGEUPvpevzOQT
Rehe+JxhCyPrMRxQotWoSQcXPbPnxwH5Z1AXWzCe0sRDj7MU7YNBTrcLgl+w3yhe
npeMLUeVT8CdhW2Vp7+Ds5XiggEA1GndOS4NEtZlHiYYw07JwOL5Jt7LnNKGkxK3
oXNUvAWlYfj6Yc6K4xEcJ2BPHguRpVRGoWEs3bBVS4GvP5ldLLTUXsGx8phl8Idt
6ohv6eXsLmZVGxIpkur0GHCWTrgNaHnSd3Ktndtdl9hvIa7OhglDPPHjTEYHOaCS
gjEV4LHwWnLXSCghVTgw9FZ001ThBLIEKtVfMQHfrlD0LlfdiR9nh4wbEYIEDY8p
z16u/pTrO68dmSYX0gaaXPilh09840jQjUOcgPFZFGymUrgj3/rH+icA9Nk3Eoqd
XR+IzCHM9iQTVoC+vEj7jTfxadwpCf2Px6hbBHh6Mimu7gmSx6k=
=+Brf
-----END PGP SIGNATURE-----

--Sig_/JkKWI._R/l7.CHy57SihulV--




Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#28144; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 9 Feb 2019 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.